package p2;

import org.aspectj.lang.*;
import org.aspectj.lang.annotation.*;

@Aspect
public class MyLoggingAspect {

    @Before("execution(int p1.MyService.operationPlus(int, int))")
    public void logCall() {
        System.out.println("Hello from interceptor");
    }

    @Before("execution(int p1.MyService.*(..))")
    public void logCall2(JoinPoint jp) {
        System.out.println("Method name " + jp.getSignature().getName());
        for (Object arg : jp.getArgs()) {
            System.out.println(arg);
        }
        System.out.println();
    }

    @Around("execution(int p1.MyService.*(..))")
    public Object logCall3(ProceedingJoinPoint pjp) throws Throwable {
        System.out.println("Method name " + pjp.getSignature().getName());
        for (Object arg : pjp.getArgs()) {
            System.out.println(arg);
        }
        Object result = pjp.proceed();
        System.out.println("Return: " + result);
        return result;
    }

}