#
# Copyright (c) 2008-2009 by nexB, Inc. http://www.nexb.com/ - All rights reserved.
# This software is NOT RELEASED YET and NOT LICENSED unless agreed with nexB.
#

import base64
import urllib2
import sys
import os
import zipfile
import shutil

def extract_zip(file, dir):
    # Also present in trunk/workbench/build/eclipse_tools.py
    # So, if you fix something here, fix it also there
    if not os.path.exists(dir):
        os.makedirs(dir)
    zip_file = zipfile.ZipFile(file)
    file_count = 0
    for name in zip_file.namelist():
        if not name.endswith('/'):
            try:
                os.makedirs(os.path.dirname(os.path.join(dir, name)))
            except:
                pass
            outfile = open(os.path.join(dir, name), 'wb')
            outfile.write(zip_file.read(name))
            outfile.flush()
            outfile.close()
            file_count += 1
    zip_file.close()
    print 'Extracted %d files to %s' % (file_count, dir)

def download_file(url, file, username, password):
    req = urllib2.Request(url)
    base64string = base64.encodestring('%s:%s' % (username, password))[:-1]
    authheader =  "Basic %s" % base64string
    req.add_header("Authorization", authheader)
    
    urldata = urllib2.urlopen(req)
    
    f = open(file, 'wb')
    data = urldata.read()
    print 'Read', len(data), 'bytes from', url
    f.write(data)

    f.close()
    urldata.close()

if len(sys.argv) < 4:
    print
    print "Script to download and extract the DejaCode toolchain"
    print
    print "Usage: %s %s <username> <password> <revision>" % (sys.executable, __file__)
    print "with:"
    print "  <username> your username to the DejaCode Trac instance,"
    print "  <password> your password to the DejaCode Trac instance,"
    print "  <revision> Revision to download."
    print
    sys.exit(-1)

ZIP_URL = 'https://dev.nexb.us/trac/dejacode/changeset/HEAD/trunk/scripts?old_path=%2F&format=zip'

username = sys.argv[1]
password = sys.argv[2]
revision = sys.argv[3]

zip_file = 'scripts_%s.zip' % revision
url = ZIP_URL.replace('HEAD', revision)
folder = os.path.abspath('.')


download_file(url, zip_file, username, password)
extract_zip(zip_file, folder)

script_dir = os.path.join(folder, 'trunk', 'scripts')
for file in os.listdir(script_dir):
    new_path = os.path.join(folder, file) 
    if os.path.exists(new_path):
        if os.path.isdir(new_path):
            shutil.rmtree(new_path)
        else:
            os.remove(new_path)
    print "Moving %s to %s" % (os.path.join(script_dir, file), new_path)
    os.rename(os.path.join(script_dir, file), new_path)

print "Moved scripts to %s" % folder
